Subject: Re: [PATCH net] MAINTAINERS: I don't want to review Renesas Ethernet Switch driver

From: Simon Horman <[email-masked]>
Date: Fri, 5 Jan 2024 09:54:06 +0000

On Fri, Jan 05, 2024 at 02:42:54AM +0000, Yoshihiro Shimoda wrote:
> Hello,
> 
> Thank you for adding CC to me.

Likewise, thanks for your response.

> > From: Sergey Shtylyov, Sent: Friday, January 5, 2024 5:47 AM
> > 
> > On 1/4/24 12:28 AM, Simon Horman wrote:
> > [...]
> > >> I don't know this hardware, I don't have the manuals for it, so I can't
> > >> provide a good review.  Let's exclude the Ethernet Switch related files.
> > >>
> > >> Signed-off-by: Sergey Shtylyov <[email-masked]>
> > >
> > > Hi Sergey,
> > 
> >   Hi Simon, long time, no see... :-)
> > 
> > > I don't know the back story to this, if there is one.
> > 
> >    Not much of a history: I got a lot of the rswitch patches in my
> > inbox and I mostly ignored them... but kept deferring this patch due
> > to a high load with fixing Svace's reports at work...
> > 
> > > But could I suggest that:
> > >
> > > 1. The patch also updates the title MAINTAINERS section to cover the
> > >    remaining two drivers.
> > >
> > >    e.g.: RENESAS ETHERNET DRIVERS ->
> > >          RENESAS ETHERNET AVB AND SUPERH ETHERNET DRIVERS
> > >
> > >    Or alternatively, create separate sections for each driver.
> > 
> >    Yeah, this 2nd option seems cleaner. Still not sure about Kconfig/
> > Makefile though...
> 
> How about adding "COMMON PARTS" section?

I think that would be fine.

> - RENESAS ETHERNET AVB AND SUPERH ETHERNET DRIVERS : For ravb and sh_eth

I think Sergey prefers two sections for the above.
Perhaps:

  - RENESAS ETHERNET AVB DRIVER
  - RENESAS SUPERH ETHERNET DRIVER

Whoever drafts the patch, please be sure to maintain
alphabetical order by section title.

> - RENESAS ETHERNET DRIVERS (COMMON PARTS) : For Kconfig/Makefile in drivers/net/ethernet/renesas
> - RENESAS ETHERNET SWITCH DRIVER : For rswitch
> 
> > >    n.b.: This may involve moving sections to maintain alphabetical order
> > >          by section title
> > >
> > > 2. Reaching out to Shimoda-san (CCed) or other relevant parties
> > >    to see if an appropriate maintainer or maintainers for the
> > >    Renesas Ethernet Switch driver can be found.
> 
> I'm happy if I'm a maintainer for Renesas Ethernet Switch driver.
> So, if my idea above is acceptable, perhaps the maintainers can be:
> 
> - RENESAS ETHERNET AVB AND SUPERH ETHERNET DRIVERS : Sergey
> - RENESAS ETHERNET DRIVERS (COMMON PARTS) : Sergey and Shimoda
> - RENESAS ETHERNET SWITCH DRIVER : Shimoda

Modulo my comments above, this sounds reasonable to me.

> > >    n.b.: It may still be a holiday period in Japan for the rest of the week.
> > 
> >    It's a holiday period here in Russia as well, till the 8th of Jaunary. :-)
> 
> I'm back from today, but next Monday (8th) is a holiday in Japan :)

Enjoy.

> 
> Best regards,
> Yoshihiro Shimoda
> 
> > > 3. Rephrase the subject and patch description as splitting out maintenance of
> > >    the Renesas Ethernet Switch driver .
> > 
> > [...]
> > 
> > MBR, Sergey